curl --request POST \
--url https://api.sibipro.com/orders/{id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Customer requested a cancellation"
}
'{
"requestedAt": "2024-01-20T12:00:00Z",
"cancellationStatus": "pending",
"cancellationReason": "Customer requested a cancellation"
}Requests order cancellation. Cancellation is processed differently based on partner - timing may vary.
curl --request POST \
--url https://api.sibipro.com/orders/{id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Customer requested a cancellation"
}
'{
"requestedAt": "2024-01-20T12:00:00Z",
"cancellationStatus": "pending",
"cancellationReason": "Customer requested a cancellation"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the order to cancel
Reason for the cancellation
"Customer requested a cancellation"
Order cancellation request created successfully
Timestamp when the cancellation was requested
"2024-01-20T12:00:00Z"
Status of the cancellation request
approved, denied, pending, canceled "pending"
Reason for the cancellation request
"Customer requested a cancellation"